description: "Backend for the MIP portal"

long_description: |
  Backend for the MIP portal

authors:
  - author: Mirco Nasuti
    author_email:
      - mirco.nasuti@chuv.ch
    organisation: LREN-CHUV
    organisation_badge: https://img.shields.io/badge/CHUV-LREN-AF4C64.svg
  - author: Ludovic Claude
    author_email:
      - ludovic.claude@chuv.ch
      - ludovic.claude54@gmail.com
      - ludovic.claude54@googlemail.com
      - ludovic.claude@laposte.net
    organisation: LREN-CHUV
    organisation_badge: https://img.shields.io/badge/CHUV-LREN-AF4C64.svg
  - author: Than Luu-tho
    author_email:
      - Thanh.Luu-Tho@chuv.ch
    organisation: LREN-CHUV
    organisation_badge: https://img.shields.io/badge/CHUV-LREN-AF4C64.svg

platform: MIP
component:
  mip_building_block: web-analytics
  nature: server

license:
  name: GNU Affero General Public License, Version 3.0
  badge: https://img.shields.io/badge/license-AGPL--3.0-blue.svg
  url: https://github.com/LREN-CHUV/portal-backend/blob/master/LICENSE

code_repositories:
  - name: chuv-gitlab
    visibility: private
    url: https://___.chuv.ch/web-analytics/portal-backend/
    git_clone: https://___.chuv.ch/web-analytics/portal-backend.git
  - name: github/LREN-CHUV
    visibility: public
    url: https://github.io/LREN-CHUV/portal-backend/
    git_clone: https://github.io/LREN-CHUV/portal-backend.git
  - name: github/HBPMedical
    visibility: public
    url: https://github.io/HBPMedical/portal-backend/
    git_clone: https://github.io/HBPMedical/portal-backend.git

code_quality_checks:
  codacy:
    badge: https://api.codacy.com/project/badge/Grade/05ba08087da24b3980475f88e1a591b7
    url: "https://www.codacy.com/app/hbp-mip/portal-backend?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=LREN-CHUV/portal-backend&amp;utm_campaign=Badge_Grade"

testing:
  unit_testing:
    source: src/test/java
    command: ./test.sh

release_management:
  current_version: 2.1.0
  current_code_release: https://github.com/HBPMedical/portal-backend/archive/2.1.0.zip
  current_binary_release: https://pypi.python.org/pypi/portal-backend/2.1.0
  release_script: 'publish.sh'

continuous_integration:
  - name: CircleCI
    description: "Check style and execute unit tests"
    url: https://circleci.com/gh/LREN-CHUV/portal-backend/tree/master
    badge: https://circleci.com/gh/LREN-CHUV/portal-backend/tree/master.svg?style=svg
    actions:
      - build
      - unit_tests

distribution:
  docker_hub:
    name: hbpmip/portal-backend
    current_tag: 2.1.0
    url: https://hub.docker.com/r/hbpmip/portal-backend/
    badge: https://img.shields.io/badge/docker-hbpmip%2Fportal--backend-008bb8.svg
    command: docker pull hbpmip/portal-backend:2.1.0

planning:
  github:
    name: Issues on Github
    url: https://github.com/LREN-CHUV/portal-backend/issues
  trello:
    name: "[plans] Web front end"
    url: https://trello.com/b/lr3NS4W6/plans-web-front-end

related_projects:
  - name: portal-frontend
    mip_building_block: web-analytics
    relationship: other-depends-on
